function init(hero) {
    hero.setName("Ghostly Samus/SSBHP");
    hero.setVersion("Custom");
    hero.setTier(5);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setHelmet("Glasses");
    
    hero.addAbilities("fiskheroes:energy_projection", "fiskheroes:cryokinesis", "fiskheroes:intangibility", "fiskheroes:invisibility", "fiskheroes:flight", "fiskheroes:enhanced_reflexes", "fiskheroes:spellcasting");
    hero.addAttribute("ATTACK_DAMAGE", 2.05, 1);
    hero.addAttribute("SWORD_DAMAGE", -0.65, 1);
    hero.addAttribute("PUNCH_DAMAGE", 12.0, 0);
    
    hero.addKeyBind("AIM", "Ghost Ray", 1);
    hero.addKeyBind("ENERGY_PROJECTION", "Ghost Ray", 1);
    hero.addKeyBind("CHARGE_ICE", "key.chargeIce", 2);
    hero.addKeyBind("INTANGIBILITY", "key.intangibility", 3);
    hero.addKeyBind("INVISIBILITY", "key.invisibility", 4);
 
    hero.addKeyBind("SPELL_MENU", "Ghost Magic", 5);
   
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
    hero.setModifierEnabled(isModifierEnabled);
}

function hasProperty(entity, property) {
    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function isModifierEnabled(entity, modifier) {
    switch (modifier) {
    case "fiskheroes:energy_projection":
        return entity.getData("fiskheroes:aiming");
    default:
        return true;
    }
}

function getSpells(entity) {
    if (entity.getHeldItem().isEmpty()) {
        return ["fiskheroes:whip", "fiskheroes:atmospheric", "fiskheroes:earth_swallowing", "fiskheroes:duplication"];
    }
    
    return ["fiskheroes:atmospheric", "fiskheroes:earth_swallowing", "fiskheroes:duplication"];
}